Subject: Re: Bug in Git-Gui - Creates corrupt patch

From: Grzegorz Kossakowski <[email-masked]>
Date: Mon, 02 Mar 2009 15:34:20 +0100

Johannes Sixt pisze:
> [email-masked] schrieb:
>> 3. Using git-gui, try to stage *only* the last line marked for removal
>> (should be '-	}').
>>
>> I get 'fatal: corrupt patch at line 22'.
> 
> "Stage/Unstage line" does not work for files that have
> 
> \ No newline at end of file

I've just stumpled across this problem. Does above imply that reported problem is not considered as a bug?

If so I believe that git gui should enforce new lines at the end of a file or at least provide more meaningful error msg.

-- 
Best regards,
Grzegorz Kossakowski